Orxonox: orxonox::ObjectList< T > Class Template Reference

# orxonox::ObjectList< T > Class Template Reference

The ObjectList contains all objects of the given class. More...

`#include <src/core/ObjectList.h>`

List of all members.

## Public Types

typedef ObjectListIterator< T > | iterator

## Static Public Member Functions

static ObjectListElement< T > * | begin ()
| Returns an Iterator to the first element in the list.
static ObjectListElement< T > * | end ()
| Returns an Iterator to the element after the last element in the list.
static ObjectListElement< T > * | rbegin ()
| Returns an Iterator to the last element in the list.
static ObjectListElement< T > * | rend ()
| Returns an Iterator to the element before the first element in the list.

## Detailed Description

### template<class T>
class orxonox::ObjectList< T >

The ObjectList contains all objects of the given class.

Wraps the ObjectListBase of the corresponding Identifier. Use ObjectListIterator<class> to iterate through all objects in the list.

## Member Typedef Documentation

template<class T>

typedef ObjectListIterator<T> orxonox::ObjectList< T >::iterator

## Member Function Documentation

template<class T>

static ObjectListElement<T>* orxonox::ObjectList< T >::begin | ( |  | ) | `[inline, static]`

Returns an Iterator to the first element in the list.

Returns:
  The Iterator

template<class T>

static ObjectListElement<T>* orxonox::ObjectList< T >::end | ( |  | ) | `[inline, static]`

Returns an Iterator to the element after the last element in the list.

Returns:
  The Iterator

template<class T>

static ObjectListElement<T>* orxonox::ObjectList< T >::rbegin | ( |  | ) | `[inline, static]`

Returns an Iterator to the last element in the list.

Returns:
  The Iterator

template<class T>

static ObjectListElement<T>* orxonox::ObjectList< T >::rend | ( |  | ) | `[inline, static]`

Returns an Iterator to the element before the first element in the list.

Returns:
  The Iterator

The documentation for this class was generated from the following file:

- src/core/ObjectList.h